Skip to main content
Operations Management/Billing Management Operations
GETBilling Management OperationsSince 3.7.2SynchronousAuth Required

GetAccountPriceTableRef

GetAccountPriceTableRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • tableUuidString

    Optional. The price table UUID.

  • accountUuidString

    Optional. The account UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • accountUuidsListRequired

    The account UUID list.

  • tableUuidStringRequired

    The price table UUID.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/billings/price-tables/refs

/zstack/v1/billings/price-tables/refs

Operation ID

GetAccountPriceTableRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/billings/price-tables/refs?tableUuid=<tableUuid>&accountUuid=<accountUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "accountUuids": [ "67fcb4c5fa0c36adba411d7258d4557e", "7a9c5437f5393002a8c8c44bd218e41a", "b11fc0267dbf3c5486accb86c79aca01" ] }

Change History

This API has no change history records yet.

View all change history